package com.ruoyi.syzy.criteria;

import com.alibaba.fastjson2.JSON;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Map;

@ApiModel("专业投档线查询条件")
public class MarjorTdxCriteria implements java.io.Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1L;
    private String spro;
    @ApiModelProperty("报考年份")
    private String year;
    @ApiModelProperty("报考科类")
    private String type;
    @ApiModelProperty("报考批次-名称")
    private String level;
    @ApiModelProperty("报考批次")
    private Integer batch;
    @ApiModelProperty("院校Id")
    private String universityId;
    @ApiModelProperty("院校code")
    private String code;

    @ApiModelProperty("location")
    private String location;

    @ApiModelProperty("collegeCode")
    private String collegeCode;

    @ApiModelProperty("universityNameText")
    private String universityNameText;

    public String getUniversityNameText() {
        return universityNameText;
    }

    public void setUniversityNameText(String universityNameText) {
        this.universityNameText = universityNameText;
    }

    public String getCollegeCode() {
        return collegeCode;
    }

    public void setCollegeCode(String collegeCode) {
        this.collegeCode = collegeCode;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getSpro() {
        return spro;
    }

    public void setSpro(String spro) {
        this.spro = spro;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getBatch() {
        return batch;
    }

    public void setBatch(Integer batch) {
        this.batch = batch;
    }

    public String getUniversityId() {
        return universityId;
    }

    public void setUniversityId(String universityId) {
        this.universityId = universityId;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this, ToStringStyle.SHORT_PREFIX_STYLE);
    }

    public Map<String, Object> toMap() {
        Map<String, Object> map = JSON.parseObject(JSON.toJSONString(this));
        return map;
    }

}
